[OSCILATOR]
size=10
lastok=5
[OSCILATOR0]
osc=40000000
div=6
[OSCILATOR1]
osc=20000000
div=12
[OSCILATOR2]
osc=16000000
div=15
[OSCILATOR3]
osc=12000000
div=20
[OSCILATOR4]
osc=11059200
div=22
[OSCILATOR5]
osc=8000000
div=30
[OSCILATOR6]
osc=4000000
div=60
[OSCILATOR7]
osc=2000000
div=120
[OSCILATOR8]
osc=1000000
div=240
[OSCILATOR9]
osc=2750000
div=87

//=======================================

[PartID_XD]
size=7
//------------------
[PartID_XD0]
id=$c410
mask=0L15Y
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD1]
id=$c411
mask=1L15Y
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD2]
id=$c000
mask=0M84E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD3]
id=$c001
mask=1M84E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD4]
id=$c100
mask=0M42E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD5]
id=$c101
mask=0M42E
name=MC9S12XD family
brand=Freescale
//------------------
[PartID_XD6]
id=$c102
mask=0M42E
name=MC9S12XD family
brand=Freescale

//=======================================

[PartID]
size=30

lastok=0
[PartID0]
id=$0111
name=MC9S12DT128
brand=Freescale
mask=1L40K
device=0

[PartID1]
id=$0113
name=MC9S12DT128
brand=Freescale
mask=3L40K
device=0

[PartID2]
id=$0114
name=MC9S12DT128
brand=Freescale
mask=4L40K
device=0

[PartID3]
id=$0110
name=MC9S12DT128
brand=Freescale
mask=0L94R
device=0

[PartID4]
id=$0115
name=MC9S12DT128
brand=Freescale
mask=1L59W,5L40K
device=0

[PartID5]
id=$0600
name=MC9S12DG128
brand=Freescale
mask=0L58S
device=0

[PartID6]
id=$0100
name=MC9S12DB128B
brand=Freescale
mask=0L85D
device=0

[PartID7]
id=$0200
name=MC9S12DJ64
brand=Freescale
mask=0L86D
device=1

[PartID8]
id=$0201
name=MC9S12D64
brand=Freescale
mask=1L86D,2L86D
device=1

[PartID9]
id=$0203
name=MC9S12DJ64
brand=Freescale
mask=3L86D
device=1

[PartID10]
id=$0204
name=MC9S12DJ64
brand=Freescale
mask=4L86D,0M89C
device=1

[PartID11]
id=$0011
name=MC9S12DP256
brand=Freescale
mask=1K79X
device=2

[PartID12]
id=$0010
name=MC9S12DP256
brand=Freescale
mask=0K79X
device=2

[PartID13]
id=$0012
name=MC9S12DP256
brand=Freescale
mask=2K79X
device=2

[PartID14]
id=$0101
name=MC9S12DT128
brand=Freescale
mask=1L85D
device=0

[PartID15]
id=$0033
name=MC9S12DT256
brand=Freescale
mask=0L01Y
device=2

[PartID16]
id=$1001
name=MC9S12H256
brand=Freescale
mask=1K78X
device=2

[PartID17]
id=$2100
name=MC9S12B128
brand=Freescale
mask=0L80R
device=0

[PartID18]
id=$2101
name=MC9S12B128
brand=Freescale
mask=1L80R
device=0

[PartID19]
id=$2102
name=MC9S12B128
brand=Freescale
mask=2L80R
device=0

[PartID20]
id=$2103
name=MC9S12B128
brand=Freescale
mask=3L80R
device=0

[PartID21]
id=$1002
name=MC9S12H256
brand=Freescale
mask=2K78X
device=2

[PartID22]
id=$0400
name=MC9S12DP512
brand=Freescale
mask=0L00M
device=7

[PartID23]
id=$0401
name=MC9S12DP512
brand=Freescale
mask=1L00M
device=7

[PartID24]
id=$0402
name=MC9S12DP512
brand=Freescale
mask=2L00M
device=7

[PartID25]
id=$0403
name=MC9S12DP512
brand=Freescale
mask=3L00M
device=7

[PartID26]
id=$0404
name=MC9S12DP512
brand=Freescale
mask=4L00M
device=7

[PartID27]
id=$1402
name=MC9S12HZ128
brand=Freescale
mask=2L16Y
device=0

[PartID28]
id=$1403
name=MC9S12HZ128
brand=Freescale
mask=3L16Y
device=0

[PartID29]
id=$0032
name=MC9S12DT256
brand=Freescale
mask=3L91N
device=2

[DEVICE]
size=9
lastok=0

[DEVICE0]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12DB128
type=FLASH
etype=EEPROM
start=$0
size=$20000
esize=$800
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$02
startpage=$38
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE1]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12Dx64
type=FLASH
etype=EEPROM
start=$0
size=$10000
esize=$400
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$01
startpage=$3c
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE2]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12DB256
type=FLASH
etype=EEPROM
start=$0
size=$40000
esize=$1000
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$04
startpage=$30
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE3]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912Dx128
type=FLASH
etype=EEPROM
start=$0
size=$20000
esize=$0800
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912rfl.boo
raid=$5a03
wrfile=hc912wfl.boo
waid=$a503
erdfile=hc912ree.boo
eraid=$5a04
ewrfile=hc912wee.boo
ewaid=$a504
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE4]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912DB32
type=FLASH
etype=EEPROM
start=$0
size=$08000
esize=$0300
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912BD32rfl.boo
raid=$5a05
wrfile=hc912BD32wfl.boo
waid=$a505
erfile=hc912BD32erfl.boo
eaid=$aa01
erdfile=hc912BD32ree.boo
eraid=$5a06
ewrfile=hc912BD32wee.boo
ewaid=$a506
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE5]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912D60
type=FLASH
etype=EEPROM
start=$0
size=$0f000
esize=$0400
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912D60rfl.boo
raid=$5a07
wrfile=hc912D60wfl.boo
waid=$a507
erfile=hc912D60erfl.boo
eaid=$aa02
erdfile=hc912D60ree.boo
eraid=$5a08
ewrfile=hc912D60wee.boo
ewaid=$a508
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE6]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912D128
type=FLASH
etype=EEPROM
start=$0
size=$20000
esize=$0800
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912rfl.boo
raid=$5a03
wrfile=hc912D128wfl.boo
waid=$a509
erfile=hc912D128erfl.boo
eaid=$aa03
erdfile=hc912ree.boo
eraid=$5a04
ewrfile=hc912wee.boo
ewaid=$a504
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

[DEVICE7]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=MC9S12DP512
type=FLASH
etype=EEPROM
start=$0
size=$80000
esize=$1000
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hcs12rfl.boo
raid=$5a01
wrfile=hcs12wfl.boo
waid=$a501
erdfile=hcs12ree.boo
eraid=$5a02
ewrfile=hcs12wee.boo
ewaid=$a502
clkeeprom=1
eclkdiv=$110
clkflash=1
fclkdiv=$100
pages=$04
startpage=$20
idexist=1
rgsize=3
rg0=$10 $21
rg1=$12 $41
rg2=$114 $88

[DEVICE8]
etl=1
chksec=1
chkprot=1
echksec=0
echkprot=0
name=HC912D60
type=FLASH
etype=EEPROM
start=$0
size=$0f000
esize=$0400
filesize=$200000
bytes=2
ramstart=$2000
rdfile=hc912D60rfl.boo
raid=$5a07
wrfile=hc912D60awfl.boo
waid=$a507
erfile=hc912D60erfl.boo
eaid=$aa02
erdfile=hc912D60aree.boo
eraid=$5a08
ewrfile=hc912D60awee.boo
ewaid=$5a0b
clkeeprom=1
eclkdiv=$ee
clkflash=1
fclkdiv=$ef
pages=$04
startpage=$00
idexist=0
rgsize=2
rg0=$10 $21
rg1=$12 $41

//===================================================
[DEVICE_XD]
size=4
lastok=0

//---

[DEVICE_XD0]
etl=0
name=MC9S12XD256
type=EEPROM
start=$0
size=$1000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$110
pages=$04
startpage=$fc

//---

[DEVICE_XD1]
etl=1
name=MC9S12XD256
type=FLASH
start=$0
size=$40000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$100
pages=16
startpage=$e0
page0=$e0
page1=$e1
page2=$e2
page3=$e3
page4=$e4
page5=$e5
page6=$e6
page7=$e7
page8=$f8
page9=$f9
page10=$fa
page11=$fb
page12=$fc
page13=$fd
page14=$fe
page15=$ff

[DEVICE_XD2]
etl=0
name=MC9S12XDP512
type=EEPROM
start=$0
size=$1000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$110
pages=$04
startpage=$fc

//---

[DEVICE_XD3]
etl=1
name=MC9S12XDP512
type=FLASH
start=$0
size=$80000
filesize=$200000
bytes=2
ramstart=$1000
clkdiv=$100
pages=32
startpage=$e0
page0=$e0
page1=$e1
page2=$e2
page3=$e3
page4=$e4
page5=$e5
page6=$e6
page7=$e7
page8=$e8
page9=$e9
page10=$ea
page11=$eb
page12=$ec
page13=$ed
page14=$ee
page15=$ef
page16=$f0
page17=$f1
page18=$f2
page19=$f3
page20=$f4
page21=$f5
page22=$f6
page23=$f7
page24=$f8
page25=$f9
page26=$fa
page27=$fb
page28=$fc
page29=$fd
page30=$fe
page31=$ff

